Преглед изворни кода

scripts/makefile_helper: initial commit

The buildsystem's Makefile hardcodes the location of the BUILD_DIR used
by the rest of the buildsystem. Add a script to handle what BUILD_DIR
might be set to.

Signed-off-by: Ian Leonard <antonlacon@gmail.com>
Ian Leonard пре 3 година
родитељ
комит
1f4ffcc981
1 измењених фајлова са 23 додато и 0 уклоњено
  1. 23 0
      scripts/makefile_helper

+ 23 - 0
scripts/makefile_helper

@@ -0,0 +1,23 @@
+#!/bin/bash
+
+# SPDX-License-Identifier: GPL-2.0
+# Copyright (C) 2022-present Team LibreELEC (https://libreelec.tv)
+
+set -e
+
+# If config/options can't be sourced, abort. PWD isn't the expected ROOT.
+. config/options ""
+
+# task handling
+case $1 in
+  --clean)
+    rm -rf "${BUILD_ROOT}/${BUILD_BASE}."*/* "${BUILD_ROOT}/${BUILD_BASE}."*/.stamps
+  ;;
+  --distclean)
+    rm -rf "${BUILD_ROOT}/.ccache" "${BUILD_ROOT}/${BUILD_BASE}."*
+  ;;
+  *)
+    echo "error: ${0}: unsupported option on CLI; aborting"
+    exit 1
+  ;;
+esac